package com.hzya.frame.seeyon.cap4.form.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.List;

/**
 * @Description 无流程表单批量保存请求参数
 * @Author xiangerlin
 * @Date 2024/1/8 11:18
 **/
public class FormDTO {
    @JSONField(ordinal = 4)
    private String formCode;//模版编号
    @JSONField(ordinal = 5)
    private String loginName;//模版编号
    @JSONField(ordinal = 2)
    private String rightId;//权限id，找到无流程表单，点新增，弹出的窗口上会有这个参数
    @JSONField(ordinal = 3)
    private List<FormDataDTO> dataList;//导入的数据
    @JSONField(ordinal = 1)
    private String[] uniqueFiled;//更新用的唯一标识
    @JSONField(ordinal = 6)
    private Boolean doTrigger;//是否执行触发(Since V8.0sp2),测试中发现传了这个参数会报错

    public String getFormCode() {
        return formCode;
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getRightId() {
        return rightId;
    }

    public void setRightId(String rightId) {
        this.rightId = rightId;
    }

    public List<FormDataDTO> getDataList() {
        return dataList;
    }

    public void setDataList(List<FormDataDTO> dataList) {
        this.dataList = dataList;
    }

    public String[] getUniqueFiled() {
        return uniqueFiled;
    }

    public void setUniqueFiled(String[] uniqueFiled) {
        this.uniqueFiled = uniqueFiled;
    }

    public Boolean getDoTrigger() {
        return doTrigger;
    }

    public void setDoTrigger(Boolean doTrigger) {
        this.doTrigger = doTrigger;
    }
}
